跳转到主要内容
POST
https://api.aisa.one/apis/v1
/
dataforseo
/
backlinks
/
page_intersection
/
live
页面交集
curl --request POST \
  --url https://api.aisa.one/apis/v1/dataforseo/backlinks/page_intersection/live \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "targets": {},
  "exclude_targets": [
    "<string>"
  ],
  "backlinks_status_type": "<string>",
  "filters": [
    "<string>"
  ],
  "order_by": [
    "<string>"
  ],
  "offset": 123,
  "limit": 123,
  "internal_list_limit": 123,
  "include_subdomains": true,
  "include_indirect_links": true,
  "exclude_internal_backlinks": true,
  "intersection_mode": "<string>",
  "rank_scale": "<string>",
  "tag": "<string>"
}
'
import requests

url = "https://api.aisa.one/apis/v1/dataforseo/backlinks/page_intersection/live"

payload = {
"targets": {},
"exclude_targets": ["<string>"],
"backlinks_status_type": "<string>",
"filters": ["<string>"],
"order_by": ["<string>"],
"offset": 123,
"limit": 123,
"internal_list_limit": 123,
"include_subdomains": True,
"include_indirect_links": True,
"exclude_internal_backlinks": True,
"intersection_mode": "<string>",
"rank_scale": "<string>",
"tag": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
targets: {},
exclude_targets: ['<string>'],
backlinks_status_type: '<string>',
filters: ['<string>'],
order_by: ['<string>'],
offset: 123,
limit: 123,
internal_list_limit: 123,
include_subdomains: true,
include_indirect_links: true,
exclude_internal_backlinks: true,
intersection_mode: '<string>',
rank_scale: '<string>',
tag: '<string>'
})
};

fetch('https://api.aisa.one/apis/v1/dataforseo/backlinks/page_intersection/live', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "version": "<string>",
  "status_code": 123,
  "status_message": "<string>",
  "time": "<string>",
  "cost": 123,
  "tasks_count": 123,
  "tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks.id": "<string>",
  "tasks.status_code": 123,
  "tasks.status_message": "<string>",
  "tasks.time": "<string>",
  "tasks.cost": 123,
  "tasks.result_count": 123,
  "tasks.path": [
    "<string>"
  ],
  "tasks.data": {},
  "tasks.result": [
    "<string>"
  ],
  "tasks.result.targets": {},
  "tasks.result.total_count": 123,
  "tasks.result.items_count": 123,
  "tasks.result.items": [
    "<string>"
  ],
  "tasks.result.page_intersection": {},
  "tasks.result.page_intersection.1": [
    "<string>"
  ],
  "tasks.result.page_intersection.1.type": "<string>",
  "tasks.result.page_intersection.1.domain_from": "<string>",
  "tasks.result.page_intersection.1.url_from": "<string>",
  "tasks.result.page_intersection.1.url_from_https": true,
  "tasks.result.page_intersection.1.domain_to": "<string>",
  "tasks.result.page_intersection.1.url_to": "<string>",
  "tasks.result.page_intersection.1.url_to_https": true,
  "tasks.result.page_intersection.1.tld_from": "<string>",
  "tasks.result.page_intersection.1.is_new": true,
  "tasks.result.page_intersection.1.is_lost": true,
  "tasks.result.page_intersection.1.backlink_spam_score": 123,
  "tasks.result.page_intersection.1.rank": 123,
  "tasks.result.page_intersection.1.page_from_rank": 123,
  "tasks.result.page_intersection.1.domain_from_rank": 123,
  "tasks.result.page_intersection.1.domain_from_platform_type": [
    "<string>"
  ],
  "tasks.result.page_intersection.1.domain_from_is_ip": true,
  "tasks.result.page_intersection.1.domain_from_ip": "<string>",
  "tasks.result.page_intersection.1.domain_from_country": "<string>",
  "tasks.result.page_intersection.1.page_from_external_links": 123,
  "tasks.result.page_intersection.1.page_from_internal_links": 123,
  "tasks.result.page_intersection.1.page_from_size": 123,
  "tasks.result.page_intersection.1.page_from_encoding": "<string>",
  "tasks.result.page_intersection.1.page_from_language": "<string>",
  "tasks.result.page_intersection.1.page_from_title": "<string>",
  "tasks.result.page_intersection.1.page_from_status_code": 123,
  "tasks.result.page_intersection.1.first_seen": "<string>",
  "tasks.result.page_intersection.1.prev_seen": "<string>",
  "tasks.result.page_intersection.1.last_seen": "<string>",
  "tasks.result.page_intersection.1.item_type": "<string>",
  "tasks.result.page_intersection.1.attributes": [
    "<string>"
  ],
  "tasks.result.page_intersection.1.dofollow": true,
  "tasks.result.page_intersection.1.original": true,
  "tasks.result.page_intersection.1.alt": "<string>",
  "tasks.result.page_intersection.1.anchor": "<string>",
  "tasks.result.page_intersection.1.text_pre": "<string>",
  "tasks.result.page_intersection.1.text_post": "<string>",
  "tasks.result.page_intersection.1.semantic_location": "<string>",
  "tasks.result.page_intersection.1.links_count": 123,
  "tasks.result.page_intersection.1.group_count": 123,
  "tasks.result.page_intersection.1.is_broken": true,
  "tasks.result.page_intersection.1.url_to_status_code": 123,
  "tasks.result.page_intersection.1.url_to_spam_score": 123,
  "tasks.result.page_intersection.1.url_to_redirect_target": "<string>",
  "tasks.result.page_intersection.1.is_indirect_link": true,
  "tasks.result.page_intersection.1.indirect_link_path": [
    "<string>"
  ],
  "tasks.result.page_intersection.1.indirect_link_path.type": "<string>",
  "tasks.result.page_intersection.1.indirect_link_path.status_code": 123,
  "tasks.result.page_intersection.1.indirect_link_path.url": "<string>",
  "tasks.result.summary": {},
  "tasks.result.summary.intersections_count": 123
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

请求体

application/json
targets
object
必填

要获取链接的域名、子域名或网页;必填字段。最多可设置 20 个域名、子域名或网页。域名或子域名应省略 https:// 和 www.;网页应使用绝对 URL(包括 http:// 或 https://)。示例:"targets": { "1": "http://planet.postgresql.org/", "2": "http://gborg.postgresql.org/" }

exclude_targets
string[]

要排除的域名、子域名或网页,可选字段。最多可以设置 10 个域名、子域名或网页。如果使用此数组,结果将包含链接到 targets 但未链接到 exclude_targets 的引荐页面。示例:"exclude_targets": [ "bbc.com", "https://www.apple.com/iphone/", "https://dataforseo.com/apis/"]

设置要返回和计数的反向链接。可选字段。您可以使用此字段选择将返回哪些反向链接,以及使用哪些反向链接计算目标的汇总指标;可选值:all – 返回并计数所有反向链接;live – 返回并计数上次检查期间发现的反向链接;lost – 返回并计数已丢失的反向链接;默认值:live

filters
string[]

结果筛选参数数组,可选字段。可以同时添加多个筛选条件(最多 8 个),条件之间应设置逻辑运算符 and、or。支持以下运算符:regex, not_regex, =, , in, not_in, like, not_like, ilike, not_ilike, match, not_match。可以将 % 运算符与 like 和 not_like 搭配使用,以匹配包含零个或多个字符的任意字符串。示例:["1.rank",">","80"] [["2.page_from_rank",">","55"], "and", ["1.original","=","true"]] [["1.first_seen",">","2017-10-23 11:31:45 +00:00"], "and", [["1.acnhor","like","%seo%"],"or",["1.text_pre","not_like","%seo%"]]] 可用筛选条件的完整列表请参见此处。

order_by
string[]

结果排序规则 可选字段 可使用与 filters 数组中相同的值对结果进行排序 可用的排序类型:asc – 结果将按升序排列 desc – 结果将按降序排列 应使用逗号设置排序类型 示例:["rank,desc"] 请注意,单个请求中最多可设置三条排序规则 应使用逗号分隔多条排序规则 示例:["domain_from_rank,desc","page_from_rank,asc"]

offset
integer

返回的反向链接在结果数组中的偏移量;可选字段。默认值:0。如果指定值 10,结果数组中的前十个反向链接将被省略,并提供后续反向链接的数据。

limit
integer

返回反向链接的最大数量,可选字段,默认值:100,最大值:1000

internal_list_limit
integer

内部数组中的最大元素数量。可选字段。您可以使用此字段限制以下数组中的元素数量:attributes、domain_from_platform_type。默认值:10;最大值:1000

include_subdomains
boolean

指示搜索是否包含目标的子域名。可选字段。如果设为 false,将忽略子域名。默认值:true

指示结果中是否包含指向目标的间接链接;可选字段;如果设置为 true,结果将包含指向以下页面的间接链接数据:重定向到目标的页面,或指向规范页面的页面;如果设置为 false,将忽略间接链接;默认值:true

指示是否从结果中排除子域名指向目标的内部反向链接;可选字段;如果设置为 true,结果将不包含与 target 同一域名下的子域名所产生的内部反向链接数据;如果设置为 false,结果将包含内部链接;默认值:true

intersection_mode
string

指示是否对反向链接取交集;可选字段。使用此字段可对指定 URL 的结果取交集或合并。可能的值:all、partial。all – 结果基于所有反向链接;partial – 结果仅基于相交的反向链接;默认值:all

rank_scale
string

定义用于计算和显示 rank、domain_from_rank 和 page_from_rank 值的刻度,可选字段。可以使用此参数选择以 0–100 或 0–1000 刻度显示排名值。可用值:one_hundred — 排名值以 0–100 刻度显示;one_thousand — 排名值以 0–1000 刻度显示。默认值:one_thousand。有关此参数的工作方式及排名指标计算方法的更多信息,请参阅此帮助中心文章

tag
string

用户定义的任务标识符。可选字段。字符数限制为 255。您可以使用此参数标识任务并将其与结果匹配;您将在响应的 data 对象中找到指定的 tag 值

响应

成功响应

version
string

API 的当前版本

status_code
integer

通用状态码;您可以在此处查看完整的响应码列表。注意:我们强烈建议设计必要的系统来处理相关异常或错误情况

status_message
string

常规信息消息;可在此处查看常规信息消息的完整列表

time
string

执行时间(秒)

cost
number

任务总成本(美元)

tasks_count
integer

tasks 数组中的任务数量

tasks_error
integer

返回错误的 tasks 数组中的任务数量

tasks
string[]

任务数组

tasks.id
string

任务标识符,系统中采用 UUID 格式的唯一任务标识符

tasks.status_code
integer

DataForSEO 生成的任务状态码;范围为:10000-60000;完整响应代码列表可在此处查看

tasks.status_message
string

任务的信息性消息,你可以在此处查看通用信息性消息的完整列表

tasks.time
string

执行时间(秒)

tasks.cost
number

任务成本(美元)

tasks.result_count
integer

结果数组中的元素数量

tasks.path
string[]

URL 路径

tasks.data
object

包含您在 POST 请求中指定的相同参数

tasks.result
string[]

结果数组

tasks.result.targets
object

POST 数组中的 targets

tasks.result.total_count
integer

与请求相关的结果总数

tasks.result.items_count
integer

items 数组中返回的结果数量

tasks.result.items
string[]

包含相关的反向链接和引用域名数据

tasks.result.page_intersection
object

包含链接到 POST 数组中指定目标的页面数据;数据以独立对象提供,与 targets 对象中指定的页面一一对应

tasks.result.page_intersection.1
string[]

包含引用页面的数据,该页面链接到 POST 数组中对应的目标。字段名称根据 targets 对象中的域名、子域名或页面数量,在 1 到 20 的范围内变化

tasks.result.page_intersection.1.type
string

元素类型 = ‘backlinks_page_intersection’

tasks.result.page_intersection.1.domain_from
string

引用目标域名或网页的域名

tasks.result.page_intersection.1.url_from
string

发现反向链接的页面 URL

tasks.result.page_intersection.1.url_from_https
boolean

指示引荐 URL 是否使用 HTTPS 保护;如果为 true,则引荐 URL 使用 HTTPS 保护

tasks.result.page_intersection.1.domain_to
string

反向链接指向的域名

tasks.result.page_intersection.1.url_to
string

反向链接指向的 URL

tasks.result.page_intersection.1.url_to_https
boolean

指示反向链接所指向的 URL 是否受 HTTPS 保护;如果为 true,则该 URL 受 HTTPS 保护

tasks.result.page_intersection.1.tld_from
string

引用 URL 的顶级域名

tasks.result.page_intersection.1.is_new
boolean

指示反向链接是否为新链接;如果为 true,则表示我们的爬虫上次访问该页面时发现了此反向链接

tasks.result.page_intersection.1.is_lost
boolean

指示反向链接是否已被移除;如果为 true,则该反向链接或整个页面已被移除

反向链接的垃圾信息评分;有关该指标计算方式的更多信息,请参阅此帮助中心页面

tasks.result.page_intersection.1.rank
integer

反向链接排名。该排名基于链接数据库中的节点排名方法计算,这是原始 Google PageRank 算法所采用的原理。有关此指标及其计算方式的更多信息,请参阅这篇帮助中心文章

tasks.result.page_intersection.1.page_from_rank
integer

引用页面的页面排名;page_from_rank 基于链接数据库中的节点排名方法计算,该原理曾用于最初的 Google PageRank 算法;有关此指标及其计算方式的更多信息,请参阅此帮助中心文章

tasks.result.page_intersection.1.domain_from_rank
integer

引用域名的域名排名,表示我们的爬虫上次发现该反向链接时该域名的排名;domain_from_rank 根据关联数据库中的节点排名方法计算,该原理曾用于最初的 Google PageRank 算法。有关此指标及其计算方式的更多信息,请参阅此帮助中心文章

tasks.result.page_intersection.1.domain_from_platform_type
string[]

引荐域名的平台类型,可能的值:cms、blogs、ecommerce、message-boards、wikis、news、organization

tasks.result.page_intersection.1.domain_from_is_ip
boolean

指示域名是否为 IP;如果为 true,则该域名用作 IP 地址且没有域名

tasks.result.page_intersection.1.domain_from_ip
string

引荐域名的 IP 地址

tasks.result.page_intersection.1.domain_from_country
string

引荐域名的 ISO 国家/地区代码

引荐页面上发现的外部链接数量

引荐页面上发现的内部链接数量

tasks.result.page_intersection.1.page_from_size
integer

引用页面的大小(以字节为单位),示例:63357

tasks.result.page_intersection.1.page_from_encoding
string

引用页面的字符编码,例如:utf-8

tasks.result.page_intersection.1.page_from_language
string

引用页面的语言,采用 ISO 639-1 格式,例如:en

tasks.result.page_intersection.1.page_from_title
string

引用页面的标题

tasks.result.page_intersection.1.page_from_status_code
integer

引用页面返回的 HTTP 状态码,示例:200

tasks.result.page_intersection.1.first_seen
string

我们的爬虫首次发现该反向链接的日期和时间,采用 UTC 格式:“yyyy-mm-dd hh-mm-ss +00:00” 示例:2019-11-15 12:57:46 +00:00

tasks.result.page_intersection.1.prev_seen
string

我们的爬虫在最近一次之前访问该反向链接的日期,采用 UTC 格式:“yyyy-mm-dd hh-mm-ss +00:00”;示例:2019-11-15 12:57:46 +00:00

tasks.result.page_intersection.1.last_seen
string

我们的爬虫最近一次访问该反向链接的日期,采用 UTC 格式:“yyyy-mm-dd hh-mm-ss +00:00” 示例:2019-11-15 12:57:46 +00:00

tasks.result.page_intersection.1.item_type
string

链接类型;可选值:anchor、image、link、meta、canonical、alternate、redirect

tasks.result.page_intersection.1.attributes
string[]

引用链接的链接属性,例如:nofollow

tasks.result.page_intersection.1.dofollow
boolean

指示反向链接是否为 dofollow;如果为 false,则反向链接为 nofollow

tasks.result.page_intersection.1.original
boolean

指示我们的爬虫首次访问引用页面时,该反向链接是否存在

tasks.result.page_intersection.1.alt
string

图像的替代文本;如果反向链接类型不是图像,此字段将为 null

tasks.result.page_intersection.1.anchor
string

反向链接的锚文本

tasks.result.page_intersection.1.text_pre
string

锚文本之前的文本片段

tasks.result.page_intersection.1.text_post
string

锚文本后的摘要

tasks.result.page_intersection.1.semantic_location
string

表示找到反向链接的 HTML 语义元素;你可以在此处获取完整的语义元素列表,例如:article、section、summary

在引荐页面上发现的相同反向链接数量

tasks.result.page_intersection.1.group_count
integer

指示来自此域名的反向链接总数。例如,如果 mode 设置为 one_per_domain,此字段将指示来自此域名的反向链接总数。

tasks.result.page_intersection.1.is_broken
boolean

表示反向链接是否损坏;如果为 true,则该反向链接指向的页面返回 4xx 或 5xx 状态码

tasks.result.page_intersection.1.url_to_status_code
integer

引用页面的状态码;如果值为 null,则表示我们的爬虫尚未访问链接指向的网页;示例:200

tasks.result.page_intersection.1.url_to_spam_score
integer

被引用页面的垃圾内容评分。如果值为 null,则表示我们的抓取工具尚未访问该链接指向的网页。有关此指标计算方式的更多信息,请参阅此帮助中心页面。

tasks.result.page_intersection.1.url_to_redirect_target
string

重定向所指向的目标页面 URL

指示反向链接是否为间接链接。如果为 true,则该反向链接是指向某个页面的间接链接,该页面会重定向到 url_to,或指向规范页面。

间接链接路径,表示指向 url_to 的一个 URL 或一系列 URL

间接链接类型,可选值:redirect、canonical

URL 的 HTTP 状态码

间接链接 URL

tasks.result.summary
object

包含页面交集摘要

tasks.result.summary.intersections_count
integer

交集总数